Summary: Programs for accessing MS-DOS disks without mounting the disks
Name: mtools
Version: 4.0.47
Release: 1%{?dist}
License: GPL-3.0-or-later
Url: https://www.gnu.org/software/mtools/
Packager: Teddysun <i@teddysun.com>
Source0: ftp://ftp.gnu.org/gnu/mtools/mtools-%{version}.tar.gz
Patch0: mtools-3.9.6-config.patch

BuildRequires: make
BuildRequires: gcc
BuildRequires: texinfo
BuildRequires: autoconf
BuildRequires: automake

# Remove dependency on glibc-gconv-extra to avoid rebuilding entire glibc
# when building flatpaks with mtools as dependency. Glibc is already
# included in the runtime.
%if ! 0%{?flatpak}
Requires: glibc-gconv-extra
%endif

%description
Mtools is a collection of utilities for accessing MS-DOS files.
Mtools allow you to read, write and move around MS-DOS filesystem
files (normally on MS-DOS floppy disks).  Mtools supports Windows95
style long file names, OS/2 XDF disks, and 2m disks

Mtools should be installed if you need to use MS-DOS disks

%prep
%setup -q -n %{name}-%{version}
%patch -P0 -p1 -b .conf

%build
autoreconf -fiv
%configure --disable-floppyd
%make_build

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}/etc %{buildroot}%{_infodir}
%make_install
install -m644 mtools.conf %{buildroot}/etc
gzip -9f %{buildroot}%{_infodir}/*

# We aren't shipping this.
find %{buildroot} -name "floppyd*" -exec rm {} \;

# dir.gz is handled in %%post and %%preun sections
rm -f %{buildroot}%{_infodir}/dir.gz

ln -s mtools.5.gz %{buildroot}%{_mandir}/man5/mtools.conf.5.gz

%files
%config(noreplace) /etc/mtools.conf
%{!?_licensedir:%global license %%doc}
%license COPYING
%doc README Release.notes
%{_bindir}/*
%{_mandir}/*/*
%{_infodir}/mtools.info*

%changelog
* Sun Jan 19 2025 Vojtech Trefny <vtrefny@redhat.com> 4.0.47-1
- Update to 4.0.47

* Fri Jan 17 2025 Fedora Release Engineering <releng@fedoraproject.org> - 4.0.46-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Thu Nov 21 2024 Vojtech Trefny <vtrefny@redhat.com> 4.0.46-1
- Update to 4.0.46

* Mon Sep 30 2024 Vojtech Trefny <vtrefny@redhat.com> 4.0.45-1
- Update to 4.0.45

* Thu Jul 18 2024 Fedora Release Engineering <releng@fedoraproject.org> - 4.0.44-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Mon Jun 03 2024 Vojtech Trefny <vtrefny@redhat.com> 4.0.44-1
- Update to 4.0.44

* Thu Jan 25 2024 Fedora Release Engineering <releng@fedoraproject.org> - 4.0.43-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sun Jan 21 2024 Fedora Release Engineering <releng@fedoraproject.org> - 4.0.43-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Thu Jul 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 4.0.43-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Wed Mar 22 2023 Vojtech Trefny <vtrefny@redhat.com> 4.0.43-1
- Update to 4.0.43

* Thu Jan 19 2023 Fedora Release Engineering <releng@fedoraproject.org> - 4.0.42-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Fri Nov 11 2022 Vojtech Trefny <vtrefny@redhat.com> - 4.0.42-2
- Change license string to the SPDX format required by Fedora

* Mon Oct 24 2022 Vojtech Trefny <vtrefny@redhat.com> 4.0.42-1
- Update to 4.0.42

* Tue Sep 20 2022 Vojtech Trefny <vtrefny@redhat.com> 4.0.41-1
- Update to 4.0.41

* Thu Jul 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 4.0.40-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Mon Jun 06 2022 Vojtech Trefny <vtrefny@redhat.com> 4.0.40-1
- Update to 4.0.40

* Tue Apr 12 2022 Vojtech Trefny <vtrefny@redhat.com> 4.0.39-1
- Update to 4.0.39

* Mon Mar 07 2022 Vojtech Trefny <vtrefny@redhat.com> 4.0.38-1
- Update to 4.0.38

* Tue Feb 15 2022 Vojtech Trefny <vtrefny@redhat.com> 4.0.37-3
- Rebuilt for glibc flatpak dependency update

* Thu Jan 20 2022 Fedora Release Engineering <releng@fedoraproject.org> - 4.0.37-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Mon Jan 10 2022 Vojtech Trefny <vtrefny@redhat.com> 4.0.37-1
- Update to 4.0.37
